Bug 1905137 - When an Install Plan gets deleted, OLM does not create a new one
Summary: When an Install Plan gets deleted, OLM does not create a new one
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.4
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
: 4.5.z
Assignee: Vu Dinh
QA Contact: Tom Buskey
URL:
Whiteboard:
Depends On: 1899747
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-07 16:01 UTC by Vu Dinh
Modified: 2021-01-20 05:49 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-20 05:49:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github operator-framework operator-lifecycle-manager pull 1894 0 None closed [release-4.5] Bug 1905137: Recreate pending installplan if deleted before approval 2021-01-19 13:12:36 UTC
Red Hat Product Errata RHBA-2021:0033 0 None None None 2021-01-20 05:49:54 UTC

Comment 8 Tom Buskey 2021-01-06 13:36:00 UTC
Installed etcd with manual approval

oc get sub
NAME   PACKAGE   SOURCE                CHANNEL
etcd   etcd      community-operators   singlenamespace-alpha

 oc get ip
NAME            CSV                   APPROVAL   APPROVED
install-95pcd   etcdoperator.v0.9.4   Manual     false

oc delete ip install-95pcd 
installplan.operators.coreos.com "install-95pcd" deleted

oc get ip
NAME            CSV                   APPROVAL   APPROVED
install-s4ckd   etcdoperator.v0.9.4   Manual     false


oc version
Client Version: 4.7.0-202101051754.p0-8fbc95f
Server Version: 4.7.0-0.nightly-2021-01-05-220959
Kubernetes Version: v1.20.0+8e0d026

Comment 9 Tom Buskey 2021-01-06 14:39:37 UTC
Also works

oc version
Client Version: openshift-clients-4.5.0-202006231303.p0-18-g6082e941e
Server Version: 4.5.0-0.nightly-2021-01-05-234719
Kubernetes Version: v1.18.3+f561b20

Comment 11 errata-xmlrpc 2021-01-20 05:49:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.27 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:0033


Note You need to log in before you can comment on or make changes to this bug.